<?php
    require_once($_SERVER['DOCUMENT_ROOT'].'db.php');
    require_once($_SERVER['DOCUMENT_ROOT'].'prowl/class.php-prowl.php');
     
    session_start();    
    
    if ( (!isset($_SESSION['uid'])) || ($_SESSION['uid'] == "") )
    {
        error_log("ERROR: STEP 0 wurde mit folgender UID aufgerufen:>".$_SESSION['uid']."<");
        header('Location: index.php');
    }
   
    $mydb = new DB_MySQL();    
    $mydb->query("SELECT * FROM `VerwaltungLagerplatz` ORDER BY `VerwaltungLagerplatz`.`jahr` DESC LIMIT 1");
    $row = $mydb->fetchRow();
    echo "<h2>Online-Anmeldung: " . $row['platz'] ."</h2>";
    $mydb->disconnect(); 
?>

<?php

  require_once($_SERVER['DOCUMENT_ROOT'].'jformer.php');
  require_once($_SERVER['DOCUMENT_ROOT'].'db.php');    
 

  $mydb = new DB_MySQL();    
  $mydb->query("SELECT * FROM `VerwaltungLagerplatz` ORDER BY `VerwaltungLagerplatz`.`jahr` DESC LIMIT 1");
  $row = $mydb->fetchRow();
  $AnmeldungAktiv = $row['AnmeldungAktiv'];
  $mydb->disconnect();  

  
if ($AnmeldungAktiv == 2)
{
echo"
<br>
<h3>Die Anmeldung fürs Zeltlager ist nicht mehr aktiv!</h3>
Aufgrund der sehr vielen Teilnehmer m&uuml;ssen wir leider die Anmeldung für unser Zeltlager stoppen.<br><br>
Es ist natürlich sehr schön, wenn viele Kinder mit ins Zeltlager fahren, doch irgendwann kommen auch wir an unsere logistischen Grenzen bei denen eine Durchführung des Zeltlagers nicht mehr so einfach möglich ist.<br><br>
Für R&uuml;ckfragen wendet Euch bitte direkt an den Lagerleiter Matthias Weinert unter der im Zeltlagerprospekt angegebenen Telefonnummer.
<br>
-> <a href=\"Zeltlagerflyer.pdf\" target=\"_blank\">Download Zeltlagerprospekt</a><br>";   
}
else if ($AnmeldungAktiv == 4)
{
echo"
<hr>
<h3>Die Anmeldung fürs Zeltlager ist nicht mehr aktiv!</h3>
Für R&uuml;ckfragen wendet Euch bitte direkt an den Lagerleiter Christof Spitz  unter der im Zeltlagerprospekt angegebenen Kontaktemöglichkeit.
<br><br>
-> <a href=\"Zeltlagerflyer.pdf\" target=\"_blank\">Download Zeltlagerprospekt</a><hr>";   
}
else
{
echo"
<br>
Hier könnt Ihr Euch online für das Große Zeltlager der Evang. Gemeindejugend Memmingen anmelden.<br><br>
Am Ende der Anmeldung bekommt Ihr ein Dokument angezeigt, das Euch auch noch per Mail zugeschickt wird.<br>
Unterschreibt dieses Dokument und schickt es bitte umgehend per Post an die im Dokument oben angegebene Adresse oder
eingescannt per Mail an <a href=\"mailto:mail@zeltlageranmeldung.de\">mail@zeltlageranmeldung.de</a>.<br>
<b>WICHTIG:</b> Nur wenn dieses Dokument bei uns ankommt, ist die Anmeldung abgegeben!
<br><br>
<b>Elterninfoabend: 27. Mai um 19:00 Uhr im alten Gemeindehause (Pfaffengasse)</b>
<br><br>
<a href=\"http://www.zeltlageranmeldung.de/Zeltlagerflyer.pdf\" target=\"_blank\">Download des Zeltlagerprospekts</a>
<br><br><br>
Falls etwas geändert werden soll, dann schickt diese Änderungen bitte per E-Mail an <a href=\"mailto:mail@zeltlageranmeldung.de\">mail@zeltlageranmeldung.de</a>
<br><br>
<b>Bitte verwendet nicht den Zur&uumlck-Button des Browsers!</b>
<br><br><br>";
}
  
  if (($AnmeldungAktiv == 1) || ($AnmeldungAktiv == 5))
  {
    // Create the form
    $login = new JFormer('loginForm', array('submitButtonText' => '-> Anmeldung Step1',));
  
    // Create the form page
    $jFormPage1 = new JFormPage($login->id.'Page', array('title' => ' ',));
  
    // Create the form section
    $jFormSection1 = new JFormSection($login->id.'Section', array());
  
    // Add the section to the page  
    $jFormPage1->addJFormSection($jFormSection1);  
  
    // Add the page to the form  
    $login->addJFormPage($jFormPage1);
  }
  else if ($AnmeldungAktiv == 2)
  {
    echo "<br><br>Durch die Eingabe eines PIN-Codes wird die Anmeldung f&uuml;r eine Person freigeschalten.<br>Diesen PIN-Code erhaltet Ihr nur direkt vom Lagerleiter !<br><br>"; 
    
    $login = new JFormer('loginForm',  array('submitButtonText' => '-> Anmeldung einmalig mit PIN starten',));

    // Add components to the section
    $login->addJFormComponentArray(
        array(
            new JFormComponentSingleLineText('onetimepassword', 'Anmelde-PIN-Code:', array(
            'validationOptions' => array('required','decimal'),
            'width' => 'short',
            'maxLength' => '6',
            )),
    ));
  }
  else if ($AnmeldungAktiv == 3)
  {
    echo "<h3>...kleines Wartungsupdate - bitte versuche es später nochmal</h3>";  
    $login = new JFormer('loginForm',  array('submitButtonText' => '-> Wartungslogin mit PIN starten',));

    // Add components to the section
    $login->addJFormComponentArray(
        array(
            new JFormComponentSingleLineText('onetimepassword', 'Wartungs-PIN-Code:', array(
            'validationOptions' => array('required','decimal'),
            'width' => 'short',
            'maxLength' => '6',
            )),
    ));
  }
  else if ($AnmeldungAktiv == 4)
  {    
    echo "<br><br><br>";
    $login = new JFormer('loginForm',  array('submitButtonText' => '-> Anmeldung einmalig mit PIN starten',));

    // Add components to the section
    $login->addJFormComponentArray(
        array(
            new JFormComponentSingleLineText('onetimepassword', 'Anmelde-PIN-Code:', array(
            'validationOptions' => array('required','decimal'),
            'width' => 'short',
            'maxLength' => '6',
            )),
    ));
  }
  else
  {
    echo "<h3>...die Anmeldung ist noch nicht aktiv <br>(Start: 1. Mai)</h3>";  
  }
  
  // Set the function for a successful form submission
  function onSubmit($formValues)
  {    
    $uid = $_SESSION['uid'];
    
    echo "TEST_vor Schleife";
    
    if ($uid == "")
    {
        error_log("ERROR: SUBMIT bei STEP 0 wurde ohne UID aufgerufen");
        $_SESSION['step'] = "0";
        $response = array('redirect' => 'index.php');
    }
    else
    { 
        $mydb = new DB_MySQL();
        
        $mydb->query("SELECT * FROM `VerwaltungLagerplatz` ORDER BY `VerwaltungLagerplatz`.`jahr` DESC LIMIT 1");
        $row = $mydb->fetchRow();
        $AnmeldungAktiv = $row['AnmeldungAktiv'];

        $ip = $_SERVER['REMOTE_ADDR']; 

        if ( ($AnmeldungAktiv == 1) || ($AnmeldungAktiv == 5) )
        {
            $_SESSION['step'] = "1"; 
            //DB-Eintrag "AnmeldeStatus" anlegen
            $mydb->query("INSERT INTO AnmeldungStatus (uid, step, versand, bestaetigt, ip_addr) VALUES ('$uid', '0', '0', '0', '$ip') ON DUPLICATE KEY UPDATE step = '0',  versand = '0', bestaetigt = '0', ip_addr = '$ip' ");
            $response = array('redirect' => 'index.php'); 
        }
        else
        {
            $response = array('redirect' => 'index.php');  
            $otpass = $formValues->onetimepassword;
            
            $mydb->query("SELECT * FROM `VerwaltungOneTimePassword` WHERE otp ='$otpass' and aktiv='1' ");
  
            if ($mydb->count() > 0)
            {
                $_SESSION['step'] = "1"; 
                
                //otp deaktivieren
                $mydb->query("UPDATE VerwaltungOneTimePassword SET aktiv='0' WHERE otp ='$otpass'");
                
                //DB-Eintrag "AnmeldeStatus" anlegen
                $mydb->query("INSERT INTO AnmeldungStatus (uid, step, versand, bestaetigt, ip_addr) VALUES ('$uid', '0', '0', '0', '$ip') ON DUPLICATE KEY UPDATE step = '0',  versand = '0', bestaetigt = '0', ip_addr = '$ip' ");
                
                $response = array('redirect' => 'index.php'); 
            }
            else
            {
                error_log("INFO: Ungueltiger Anmelde-PIN wurde eingegeben: >".$otpass."<");
                $response = array('failureNoticeHtml' => 'Anmelde-PIN ungültig oder schon einmal verwendet !', 'failureJs' => "$('#onetimepassword').val('').focus();");
                
                //Prowl Nachricht
                $prowl = new Prowl();
                $prowl->setProviderKey("3e116a8f549ea41964f9dc682007ca2fd8e5a478");
                $prowl->setApiKey("53e1a7373b83dc1f746a79c1844da90111b76455");
             
                $application = "Zeltlageranmeldung";
                $event = "Ungültige PIN wurde verwendet";
                $description = "Pin ->" . $otpass . "<-";
                $url = "";
                $priority = 0;
            
                $message = $prowl->add($application,$event,$priority,$description,$url);
                
            }
        }
        
        $mydb->disconnect();
    }
         
    return $response;  
  }
  
  if ( ($AnmeldungAktiv ==  1) || ($AnmeldungAktiv ==  2) || ($AnmeldungAktiv ==  3)|| ($AnmeldungAktiv ==  4) || ($AnmeldungAktiv ==  5))
  {
   // Process any request to the form             
    $login->processRequest();
    echo "Bei Problemen wende Dich einfach an <a href=\"mailto:mail@zeltlageranmeldung.de\">mail@zeltlageranmeldung.de</a>";
  }
 
?>
